Subject: Re: escape-handling in FvwmButtons (PR#97)

From: Dominik Vogt <[email-masked]>
Date: Wed, 23 Dec 1998 04:00:56 -0600 (CST)

Escape handling seems to have changed in handling Actions in FvwmButtons.

Previously, the following worked:

  *FvwmButtons(Icon mini-mail.xpm, Action 'Exec gnudoit \(vm\)')

Now, I have to escape the back-slashes as well, as below:

  *FvwmButtons(Icon mini-mail.xpm, Action "Exec gnudoit \\(vm\\)')

Blarg, I hate this quoting stuff in FvwmButtons. When I have a lot
of time I will rewrite that so you don't havt to quote anything
(well, perhaps the whole action). There are parsing functions that
allow to consistently handle quoting.

> It's just a minor inconsistency, since the following commands all work
> unchanged:
> 
> Mouse 2 R       C       Exec gnudoit \(vm\)
> 
> Perhaps those commands should never have worked without escaping!

No, they should never have required quoting. The only reason I can see
for quoting are whitespace characters in a list of tokens. Quoting should
bever be needed for the last option/parameter on a line.
--
Dominik Vogt (domivogt) <[email-masked]>
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].